#language: ru

@tma

Функционал: 013. Tma. Проверка акционных отгрузок

Сценарий: 013.1. Tma. Проверка акционных отгрузок

	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Маркетинг и продажи' 'Акционные отгрузки'
	Тогда открылось окно 'Акционные отгрузки'
	И в таблице "Список" я перехожу к строке:
		| 'Основание'                                      | 'Ответственный' |
		| 'Акция с 18.06.19 по 22.06.19 для Магнит; Лента' | 'Администратор' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Акционные отгрузки * от *'
	И элемент формы "Основание" стал равен "Акция с 18.06.19 по 22.06.19 для Магнит; Лента"
	И элемент формы "Стратегия влияния на отгрузки" стал равен "С приростами"
	Тогда таблица "СводныеПоказатели" стала равной:
		| 'Контрагент' | 'Количество прирост' | 'Номенклатура'  | 'Характеристика'    | 'Средние продажи' | 'Комментарий' | 'Склад отгрузки' | 'Дата начала' | 'Дата окончания' |
		| 'Магнит'     | '75,00'              | 'Брынза'        | 'Фасованный 200 гр' | '125,00'          | ''            | ''               | '21.06.2019'  | '25.06.2019'     |
		| 'Лента'      | '275,00'             | 'Брынза'        | 'Фасованный 200 гр' | '125,00'          | ''            | ''               | '21.06.2019'  | '25.06.2019'     |
		| 'Магнит'     | '175,00'             | 'Сливочный сыр' | 'Фасованный 200 гр' | '125,00'          | ''            | ''               | '21.06.2019'  | '25.06.2019'     |
		| 'Лента'      | '475,00'             | 'Сливочный сыр' | 'Фасованный 200 гр' | '125,00'          | ''            | ''               | '21.06.2019'  | '25.06.2019'     |
	Тогда таблица "Показатели" стала равной:
		| 'Контрагент' | 'Количество прирост' | 'Номенклатура'  | '23.06.2019' | 'Характеристика'    | 'Склад отгрузки' | '21.06.2019' | '22.06.2019' | '24.06.2019' | '25.06.2019' |
		| 'Магнит'     | '75,00'              | 'Брынза'        | ''           | 'Фасованный 200 гр' | ''               | '75,000'     | ''           | ''           | ''           |
		| 'Лента'      | '275,00'             | 'Брынза'        | '137,500'    | 'Фасованный 200 гр' | ''               | '137,500'    | ''           | ''           | ''           |
		| 'Магнит'     | '175,00'             | 'Сливочный сыр' | ''           | 'Фасованный 200 гр' | ''               | '175,000'    | ''           | ''           | ''           |
		| 'Лента'      | '475,00'             | 'Сливочный сыр' | '237,500'    | 'Фасованный 200 гр' | ''               | '237,500'    | ''           | ''           | ''           |
	И Я закрываю окно 'Акционные отгрузки * от *'
	Тогда открылось окно 'Акционные отгрузки'
	И Я закрываю окно 'Акционные отгрузки'

Сценарий: 013.2. Tma. Завершение

	И Я закрыл все окна клиентского приложения